aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEnji Cooper <ngie@FreeBSD.org>2016-09-18 05:10:15 +0000
committerEnji Cooper <ngie@FreeBSD.org>2016-09-18 05:10:15 +0000
commita85d4fc7e458e23c56cf49c11c2e26bd357a3da3 (patch)
treed09357027fa64abdab17028555b611a9c34dbc18
parent4083793433f434e68ab3393ddee1d0bf785d9be6 (diff)
Notes
-rw-r--r--tests/sys/mac/bsdextended/matches_test.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/tests/sys/mac/bsdextended/matches_test.sh b/tests/sys/mac/bsdextended/matches_test.sh
index d1972613acc1f..929bbca2fcca4 100644
--- a/tests/sys/mac/bsdextended/matches_test.sh
+++ b/tests/sys/mac/bsdextended/matches_test.sh
@@ -36,9 +36,11 @@ if ! sysctl -N security.mac.bsdextended >/dev/null 2>&1; then
echo "1..0 # SKIP mac_bsdextended(4) support isn't available"
exit 0
fi
-if ! chmod -Rf 0755 $TMPDIR; then
- echo "1..0 # SKIP failed to chmod $TMPDIR"
- exit 0
+if [ "$TMPDIR" != "/tmp" ]; then
+ if ! chmod -Rf 0755 $TMPDIR; then
+ echo "1..0 # SKIP failed to chmod $TMPDIR"
+ exit 0
+ fi
fi
if ! playground=$(mktemp -d $TMPDIR/tmp.XXXXXXX); then
echo "1..0 # SKIP failed to create temporary directory"